مكتبة الملتقى وليبر-أوفيس

0
منذ فترة لاحظت وجود تعارض برمجي بين حزمة برامج الـ LibreOffice الشهيرة وبرنامج مكتبة الملتقى (الذي يعمل على لينكس كبديل لبرنامج المكتبة الشاملة الذي يعمل على نظام تشغيل ويندوز)

كان الحل سهلا عندما كنت أعمل على إصدار قديم من لينكس (لوبونتو 12.4) .. فكل المطلوب كان التضحية بتحديثات ليبر-أوفيس واستخدام نسخته القديمة 3.5.7  التي لا تتعارض مع مكتبة الملتقى.
لكن هذا الحل لم يعد متوفرا بعد تحديث النظام، واستخدام الإصدار 14.4.1 من لوبونتو والذي يرتبط بالإصدارة الحديثة من ليبر-أوفيس 4.2.4 !!

وحيث أني أحتاج كلا من مكتبة الملتقى ومحرر النصوص كان التعارض مثيرا للأرق!

المشكلة مصدرها اعتماد مكتبة الملتقى على نسخة معدلة من LibClucene ، وهو ملف صغير مهمته عمليات البحث والفهرسة. وللأسف تعتمد حزمة ليبر-أوفيس على نسخة حديثة منه، غير معدلة.
وهنا مربط الفرس.

لكن الأستاذ أحمد سعيدي (مبرمج مكتبة الملتقى) حل المشكلة حلا مؤقتا، على منتدى ملتقى أهل الحديث، وهو استخدام الأمر
export LD_LIBRARY_PATH=/usr/lib
moltaqa-lib
في فتح مكتبة الملتقى كل مرة، فلا يحدث تعارض بينها وبين محرر النصوص ليبر-أوفيس.

وربما يتم حل المشكلة جذريا في الإصدارة القادمة من مكتبة الملتقى.
-----

أنشر هذا حتى يستفيد من واجه نفس المشكلة، وعلى العموم الموضوع منشور على هذا الرابط:
http://www.ahlalhdeeth.com/vb/showthread.php?p=2105907

أرشيف المدونة الإلكترونية

يتم التشغيل بواسطة Blogger.

المساهمون

مدونه اف اح

Google+ Followers